aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--appspec.yml17
-rwxr-xr-xscripts/install_dependencies.sh8
2 files changed, 25 insertions, 0 deletions
diff --git a/appspec.yml b/appspec.yml
new file mode 100644
index 0000000..ba4346e
--- /dev/null
+++ b/appspec.yml
@@ -0,0 +1,17 @@
+version: 0.0
+os: linux
+files:
+ - source: /
+ destination: /home/ec2-user
+hooks:
+ BeforeInstall:
+ - location: scripts/install_dependencies.sh
+ timeout: 300
+ runas: root
+ - location: scripts/start_server
+ timeout: 300
+ runas: root
+ ApplicationStop:
+ - location: scripts/stop_server
+ timeout: 300
+ runas: root \ No newline at end of file
diff --git a/scripts/install_dependencies.sh b/scripts/install_dependencies.sh
new file mode 100755
index 0000000..9bbf541
--- /dev/null
+++ b/scripts/install_dependencies.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+if ! command -v poetry &> /dev/null
+then
+ curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+cd /home/ec2-user
+poetry install